PUT
/
v3
/
tasks
/
{id}
/
assigned-user
Reassign a task
curl --request PUT \
  --url https://api.reply.io/v3/tasks/{id}/assigned-user \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "userId": 123
}'
{
  "id": 123,
  "contactId": 123,
  "taskType": 123,
  "status": 123,
  "linkedInTaskType": 123,
  "sequenceId": 123,
  "sequenceStepId": 123,
  "sequenceStepDisplayName": "<string>",
  "assignedUserId": 123,
  "creationSource": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "startAt": "2023-11-07T05:31:56Z",
  "dueTo": "2023-11-07T05:31:56Z",
  "finishedAt": "2023-11-07T05:31:56Z",
  "isFailed": true,
  "isScheduled": true,
  "template": {
    "body": "<string>",
    "subject": "<string>",
    "attachmentIdList": [
      123
    ]
  },
  "content": {
    "body": "<string>",
    "subject": "<string>"
  },
  "deliveryInfo": {
    "email": "<string>",
    "phoneNumber": "<string>",
    "linkedInUrl": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

id
integer
required

Task ID.

Body

application/json
userId
integer
required

User ID to assign the task to.

Response

Task reassigned successfully. Returns the updated task.

Full task detail returned by GET by ID, Create, and Update endpoints.

id
integer

Task ID.

contactId
integer | null

Associated contact (prospect) ID.

taskType
integer

Task type enum value. 0 = ToDo, 2 = Call, 4 = Meeting, 5 = LinkedIn, 7 = ManualEmail, 8 = Sms, 9 = WhatsApp.

status
integer

Task status enum value. 0 = New, 1 = Finished, 3 = Cancelled, 4 = Archived, 5 = SequenceDetached.

linkedInTaskType
integer | null

LinkedIn action subtype. Only present for LinkedIn tasks. 0 = Message, 1 = Connect, 2 = InMail, 3 = ViewProfile.

sequenceId
integer | null

Sequence ID if this task was created by a sequence.

sequenceStepId
integer | null

Sequence step ID. Available when the ExtendedFilterInTasks feature is enabled.

sequenceStepDisplayName
string | null

Human-readable sequence step name (e.g. "Step 2 - Email").

assignedUserId
integer

ID of the user this task is assigned to.

creationSource
integer

How the task was created. 0 = User, 1 = Sequence, 2 = Meeting.

createdAt
string<date-time>

When the task was created.

startAt
string<date-time>

Task start time. When isScheduled is true, this is the scheduled execution time.

dueTo
string<date-time>

Task due time.

finishedAt
string<date-time> | null

When the task was completed. Null for active tasks.

isFailed
boolean

Whether the task execution failed.

isScheduled
boolean

Whether the task is scheduled for automatic execution.

template
TaskTemplate · object

Raw task template. For active tasks, may contain {{variable}} placeholders. For finished tasks, contains the final content (raw version is no longer available).

content
TaskContent · object

Rendered content with variables resolved. Only populated when includeContent=true query parameter is set. Null by default.

deliveryInfo
TaskDeliveryInfo · object

Delivery target information. Populated for ManualEmail (email), Call/SMS (phone), and LinkedIn (URL) tasks. Null for ToDo, Meeting, and WhatsApp tasks.